Bug 1350407 - Sharding may create shards beyond it's size
Summary: Sharding may create shards beyond it's size
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: sharding
Version: 3.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact: bugs@gluster.org
URL:
Whiteboard:
Depends On: 1350365
Blocks: 1347553 glusterfs-3.8.10
TreeView+ depends on / blocked
 
Reported: 2016-06-27 11:24 UTC by Niels de Vos
Modified: 2017-11-07 10:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1350365
Environment:
Last Closed: 2017-11-07 10:37:11 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Niels de Vos 2016-06-27 11:24:14 UTC
+++ This bug was initially created as a clone of Bug #1350365 +++

Description of problem:
In comments of the patch http://review.gluster.org/14623, Krutika found that this bug needs to be fixed. Raising this bug to track this issue.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Niels de Vos 2016-06-27 11:29:14 UTC
From a comment in http://review.gluster.org/14623:

> > > With this patch, we run the risk of creating extra shards (beyond the
> > > size of the file) leading to unlink/rename missing to delete the shard.
> > 
> > Yes, Reads shoudn't create shards. If we take care of that, it will be
> > fixed.
> > 
> Is there a bug for this? I guess should only include this patch and the fix
> for the mentioned problem in stable branches when both fixes are available?

I will raise a bug for that. Without this patch Hyper-convergence feature won't
work at all on gluster because of o-direct files writes. So merge this patch as
without it, 3.7 works, master works but 3.8 will be broken.

Comment 2 Niels de Vos 2016-09-12 05:39:52 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 3 Niels de Vos 2016-11-23 15:28:55 UTC
This bug did not make it in the glusterfs-3.8.6 release and has been moved to the 3.8.7 planning.

Comment 4 Niels de Vos 2016-12-11 16:26:06 UTC
This bug did not make it in the glusterfs-3.8.7 release and has been moved to the 3.8.8 planning.

Comment 5 Niels de Vos 2017-01-11 11:43:08 UTC
This bug did not make it in the glusterfs-3.8.8 release and has been moved to the 3.8.9 planning.

Comment 6 Niels de Vos 2017-02-13 08:44:52 UTC
This bug did not make it in the glusterfs-3.8.9 release and has been moved to the 3.8.10 planning.

Comment 7 Niels de Vos 2017-11-07 10:37:11 UTC
This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.


Note You need to log in before you can comment on or make changes to this bug.